include:
  - template: Secret-Detection.gitlab-ci.yml

variables:
  PRE_BUILD: "Before the Build Command"
  POST_BUILD: "After the Build Command"
  a11y_urls: https://gitlab.com
  

stages:
  - build
  - test
  - deploy
  - accessibility

build:
  stage: build
  script:
    - echo $PRE_BUILD
    - echo $POST_BUILD

test:
  stage: test
  needs:
    ["build"]
  script:
    - echo "test"

deploy:
  stage: deploy
  variables:
    DEPLOY_ENVIRONMENT: "production"
  trigger:
    include: .lab-deploy-gitlab-ci.yml
    strategy: depend
  rules:
    - if: '$CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
      when: never
    - if: '$CI_COMMIT_BRANCH'

a11y:
  stage: accessibility
  image: registry.gitlab.com/gitlab-org/ci-cd/accessibility:6.0.1
  script: /gitlab-accessibility.sh $a11y_urls
  allow_failure: true
  needs:
    ["build"]
  artifacts:
    when: always
    expose_as: 'Accessibility Reports'
    paths: ['reports/']
    reports:
      accessibility: reports/gl-accessibility.json

